// Configuration file generated by OpenXsensor Configurator v2.1 the: 12-07-2015
// !! This file is only compatible with version v2.x of OpenXsensor !!

// OpenXsensor https://code.google.com/p/openxsensor/
// started by Rainer SchloÃŸhan

//***********************************************************************************************************************
// Another file in this project (see oXs_config_description.h) provides detailed explanations on how to set up this file.
//***********************************************************************************************************************

#ifndef OXS_CONFIG_h
#define OXS_CONFIG_h

// --------- 1 - FrSky device ID when Sport protocol is used ---------
#define SENSOR_ID    0x1B

// --------- 2 - Serial data pin choice ---------
#define PIN_SERIALTX    2       // The pin which transmits the serial data to the FrSky telemetry enabled receiver

// --------- 3 - PPM settings ---------
//#define PIN_PPM               // Arduino can read a PPM Signal coming from Tx. This allows to change the vario sensitivity using a pot or a switch on TX.
#define PPM_MIN_100     988     // 1500 - 512 ; pulse width (usec) when TX sends a channel = -100
#define PPM_PLUS_100    2012    // 1500 + 512 ; pulse width (usec) when TX sends a channel = +100

// --------- 4 - Vario settings ---------

// ***** 4.1 - Connecting 1 or 2 MS5611 barometric sensor *****
#define VARIO                   // set as comment if there is no vario
//#define VARIO2                // set as comment if there is no second vario

// ***** 4.2 - Sensitivity predefined by program *****
#define SENSITIVITY_MIN       50
#define SENSITIVITY_MAX       50
#define SENSITIVITY_MIN_AT    20
#define SENSITIVITY_MAX_AT    100

// ***** 4.3 - Sensitivity adjusted from the TX *****
#define SENSITIVITY_MIN_AT_PPM    10   // sensitivity will be changed by OXS only when PPM signal is between the specified range enlarged by -5/+5
#define SENSITIVITY_MAX_AT_PPM    40
#define SENSITIVITY_PPM_MIN       20   // common value for vario is 20
#define SENSITIVITY_PPM_MAX       100  // common value for vario is 100

// ***** 4.4 - Hysteresis parameter *****
#define VARIOHYSTERESIS    5

// ***** 4.5 - Vertical speeds calculations *****
#define VARIO_PRIMARY              0    // 0 means first ms5611, 1 means second ms5611 , 2 means vario based on vario 1 + compensation from airspeed
#define VARIO_SECONDARY            1    // 0 means first ms5611, 1 means second ms5611 , 2 means vario based on vario 1 + compensation from airspeed
#define SWITCH_VARIO_MIN_AT_PPM    10
#define SWITCH_VARIO_MAX_AT_PPM    90

// ***** 4.6 - Analog vertical speed *****
//#define PIN_ANALOG_VSPEED       //  the pin used to write the vertical speed to the Rx A1 or A2 pin (can be 3 or 11 because it has to use timer 2)
#define ANALOG_VSPEED_MIN    -3
#define ANALOG_VSPEED_MAX     3

// --------- 5 - Airspeed settings ---------
//#define AIRSPEED    MS4525

#define AIRSPEED_RESET_AT_PPM      100

#define COMPENSATION_MIN_AT_PPM    60
#define COMPENSATION_MAX_AT_PPM    90
#define COMPENSATION_PPM_MIN       80
#define COMPENSATION_PPM_MAX       120

// --------- 6 - Voltages & Current sensor settings ---------

// ***** 6.1 - Voltage Reference selection (VCC or 1.1V internal) *****
#define USE_INTERNAL_REFERENCE    // Select the voltage reference, comment the line to activate the VCC voltage reference

// ***** 6.2 - Voltages analog pins *****
#define PIN_VOLTAGE_1    6
#define PIN_VOLTAGE_2    7
#define PIN_VOLTAGE_3    1
//#define PIN_VOLTAGE_4
//#define PIN_VOLTAGE_5
//#define PIN_VOLTAGE_6

// ***** 6.3 - Voltage measurements calibration parameters *****
#define OFFSET_1             117         // offset in mV
#define MVOLT_PER_STEP_1     4.58
#define OFFSET_2             252         // offset in mV
#define MVOLT_PER_STEP_2     8.25
#define OFFSET_3             -6         // offset in mV
#define MVOLT_PER_STEP_3     14.25
#define OFFSET_4             0
#define MVOLT_PER_STEP_4     1
#define OFFSET_5             0
#define MVOLT_PER_STEP_5     1
#define OFFSET_6             0
#define MVOLT_PER_STEP_6     1

// ***** 6.4 - Number of lipo cells to measure (and transmit to Tx) *****
#define NUMBEROFCELLS    3

// ***** 6.5 - Current sensor analog pin *****
//#define PIN_CURRENTSENSOR

// ***** 6.6 - Current sensor calibration parameters *****
#define OFFSET_CURRENT_STEPS         0
#define MAMP_PER_STEP                0.0   // INA282 with 0.1 ohm shunt gives 5000mv/A 

// --------- 7 - RPM (rotations per minute) settings ---------
//#define MEASURE_RPM

// --------- 8 - Persistent memory settings ---------
//#define SAVE_TO_EEPROM
//#define PIN_PUSHBUTTON

// --------- 9 - Data to transmit ---------
// General set up to define which measurements are transmitted and how

#define SETUP_DATA_TO_SEND    \
                        DEFAULTFIELD , ALTIMETER , 1 , 1 , 0 , \
                        DEFAULTFIELD , VERTICAL_SPEED , 1 , 1 , 0 , \
                        DEFAULTFIELD , CELLS_1_2 , 1 , 1 , 0 , \
                        DEFAULTFIELD , CELLS_3_4 , 1 , 1 , 0 , \
                        AccX , VOLT1 , 1 , 1 , 0 , \
                        AccY , VOLT2 , 1 , 1 , 0 , \
                        AccZ , VOLT3 , 1 , 1 , 0

// --------- 10 - Reserved for developer. DEBUG must be activated here when we want to debug one or several functions in some other files. ---------
//#define DEBUG

#ifdef DEBUG
#include "HardwareSerial.h"
#endif

#endif// End define OXS_CONFIG_h

